<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('leave_balances', function (Blueprint $table) {
            $table->id();
            // $table->string('user_id')->nullable();
            // $table->foreignId('employee_number')->references('employee_number')->on('users')->nullable();#->onDelete('cascade')->onUpdate('cascade');
            $table->foreignId('employee_number')->constrained('users', 'employee_number')->nullable();#->onDelete('cascade')->onUpdate('cascade');
            $table->json('balances')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('leave_balances');
    }
};
